##### Predefinitions #####
%define name		kmldonkey
%define version		2.0.7
%define release		%mkrel 6
%define major		5
%define libname		%mklibname %{name} %major
%define libnamedev	%mklibname %{name} -d

##### Header #####
Summary:	A frontend for MLDonkey
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://extragear.kde.org/apps/kmldonkey/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mldonkey
BuildRequires:	kde4-macros
BuildRequires:	kdelibs4-devel
Conflicts:      %{libnamedev} < 2.0.7-5
##### Description #####
%description
KMLDonkey is a frontend for MLDonkey, a powerful P2P file sharing tool,
designed for the KDE desktop.

Authors:
Sebastian Sauer
Petter E. Stokke

##### Subpackages #####
%package -n %{libname}
Summary:	KMLDonkey libraries
Group:		System/Libraries

%description -n %{libname}
Libraries needed by %{name}

%package -n %{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.


##### Prep, Build & Install #####
%prep
%setup -q 

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

##### Post & Postun #####
%if "%{distribution}" == "Mandriva Linux"
	%if %mdkversion < 200900
		%post -n %{libname} -p /sbin/ldconfig

		%postun -n %{libname} -p /sbin/ldconfig
	%endif
%endif
##### Clean #####
%clean
rm -rf %{buildroot}

##### Files #####
%files -n %{libname}
%{_kde_libdir}/*.so.*
#{_kde_datadir}/locale/*/*/kmldonkey.mo

%files -n %{libnamedev}
%{_kde_includedir}/kmldonkey/*.h                                               
%{_kde_libdir}/*.so

%files
%defattr(-,root,root,0755)
%{_kde_bindir}/kmldonkey                                                
%{_kde_applicationsdir}/kmldonkey.desktop                                   
%{_kde_appsdir}/kmldonkey/icons/hicolor/*/apps/*
%{_kde_appsdir}/kmldonkey/*rc                                         
%{_kde_iconsdir}/hicolor/*/apps/*
%{_kde_services}/*-kmldonkey.desktop                         
%{_kde_libdir}/kde4/plasma_engine_kmldonkey.so
%{_kde_libdir}/kde4/plasma_applet_kmldonkey.so

##### Changelog #####


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.7-6.mga3
+ Revision: 356310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 22 2012 lmenut <lmenut> 2.0.7-5.mga3
+ Revision: 273488
- Fix duplicate files in kmldonkey & lib(64)kmldonkey-devel

* Thu Jul 19 2012 dlucio <dlucio> 2.0.7-4.mga3
+ Revision: 272457
- bump release

* Sun Oct 02 2011 dlucio <dlucio> 2.0.7-3.mga2
+ Revision: 150947
- Fixing Bug 2890
- we were missing plasma related files
- imported package kmldonkey

